### Function

# Gimp file_load_layer

#### Declaration [src]

    GimpLayer*
    gimp_file_load_layer (
      GimpRunMode run_mode,
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Loads an image file as a layer for an existing image.

This procedure behaves like the file-load procedure but opens the specified image as a layer for an existing image. The returned layer needs to be added to the existing image with gimp_image_insert_layer().

Available since: | 2.4

#### Parameters

`run_mode` | `GimpRunMode`
| The run mode.
`image` | `GimpImage`
| Destination image.
| The data is owned by the caller of the function.
`file` | `GFile`
| The file to load.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpLayer`
| The layer created when loading the image file.
| The data is owned by the called function.